Connector Setup
APIs to fetch setup details required for configuring cloud cost connectors.
Fetch AWS account connection details required for CCM connector setup, including external Id, Harness AWS account Id, CloudFormation template link, and stack launch template link.
Account Identifier for the Entity.
Set this true in case of Gov cloud
Set this true in case of Oidc
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns AWS account connection details including externalId, harnessAccountId, cloudFormationTemplateLink, and stackLaunchTemplateLink
GET /gateway/ccm/api/connector/awsaccountconnectiondetail?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-558fbc8b6-z9978
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Fetch the Azure application client Id used for CCM connector setup.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns the Azure application client Id
GET /gateway/ccm/api/connector/azureappclientid HTTP/1.1
Host: nextgen-ce-558fbc8b6-z9978
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Provision (if needed) and return the GCP service account email used for CCM connector setup.
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns the GCP service account email
GET /gateway/ccm/api/connector/gcpserviceaccount?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-558fbc8b6-z9978
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?